(function($) {
    var config = MT.Editor.TinyMCE.config;
    var base_url = StaticURI + 'plugins/ImageUploadUtility/';
    //var buttons = (config.plugin_mt_wysiwyg_buttons1 || '') + ',|,imageuploadutility';
    var buttons = (config.plugin_mt_wysiwyg_buttons1 || '') + ' | imageuploadutility';

    var saved_init_instance_cb = config.init_instance_callback;
    var init_instance_cb = function(ed) {
        saved_init_instance_cb(ed);
        
        var doc = ed.getDoc();
        var dom = ed.dom;
        dom.bind(doc, 'dragenter dragover dragleave drop', function(event) {
            if(typeof $ !== 'undefined') {
                $(document).trigger(new $.Event(event));
            }
        });
    };

    $.extend(config, {
        plugins: config.plugins + ',imageuploadutility',
        plugin_mt_wysiwyg_buttons1: buttons,
        init_instance_callback: init_instance_cb
    });

})(jQuery);

